--0.16 circuit connectors
require("circuit-connector-generated-definitions")

circuit_connector_definitions["cf-chests"] = circuit_connector_definitions.create
(
  universal_connector_template,
  {
    { variation = 18, main_offset = util.by_pixel(6, 5.5), shadow_offset = util.by_pixel(10.5, 7.5), show_shadow = true },
  }
)

data:extend(
{
	{
    type = "simple-entity-with-force",
    name = "compound-splitter-endcap",
	render_layer = "object",
    flags = {"placeable-neutral", "player-creation"},
	order = "s-e-w-f",
    icon = "__compoundsplitters__/graphics/icons/compound-splitter-endcap.png",--TODO:graphic
	icon_size = 32,
	minable = {hardness = 0.2, mining_time = 0.5, result = "compound-splitter-endcap"},
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    max_health = 80,
    resistances =
    {
      {
        type = "fire",
        percent = 60
      }
    },
	   pictures =
     {
       {
        filename = "__compoundsplitters__/graphics/entities/compound-splitter-endcap/compound-splitter-endcap.png",
        width = 61,
        height = 50,
		shift = {0.078125, 0.15625},
       }
	 }

  },--entry
    {
    type = "simple-entity-with-force",
    name = "compound-splitter-lane",
    flags = {"placeable-neutral", "player-creation"},
    icon = "__compoundsplitters__/graphics/icons/compound-splitter-lane.png",--TODO:graphic
	icon_size = 32,
	minable = {hardness = 0.2, mining_time = 0.5, result = "compound-splitter-lane"},
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    render_layer = "object",
    max_health = 80,
    resistances =
    {
      {
        type = "fire",
        percent = 60
      }
    },
	   pictures =
     {
       {
        filename = "__compoundsplitters__/graphics/entities/compound-splitter-lane/compound-splitter-lane.png",
        width = 61,
        height = 50,
		shift = {0.078125, 0.15625},
       }
	 }

  },--entry
    {
    type = "simple-entity-with-force",
    name = "compound-splitter-priority-totem",
    flags = {"placeable-neutral", "player-creation"},
    icon = "__compoundsplitters__/graphics/icons/compound-splitter-priority-totem.png",--TODO:graphic
	icon_size = 32,
	minable = {hardness = 0.2, mining_time = 0.5, result = "compound-splitter-priority-totem"},
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    render_layer = "object",
    max_health = 80,
    resistances =
    {
      {
        type = "fire",
        percent = 60
      }
    },
	   pictures =
     {
       {
        filename = "__compoundsplitters__/graphics/entities/compound-splitter-priority-totem/compound-splitter-priority-totem.png",
        width = 61,
        height = 50,
		shift = {0.078125, 0.15625},
       }
	 }

  },--entry
    {
    type = "simple-entity-with-force",
    name = "compound-splitter-round-robin-totem",
    flags = {"placeable-neutral", "player-creation"},
    icon = "__compoundsplitters__/graphics/icons/compound-splitter-round-robin-totem.png",--TODO:graphic
	icon_size = 32,
	minable = {hardness = 0.2, mining_time = 0.5, result = "compound-splitter-round-robin-totem"},
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    render_layer = "object",
    max_health = 80,
    resistances =
    {
      {
        type = "fire",
        percent = 60
      }
    },
	   pictures =
     {
       {
        filename = "__compoundsplitters__/graphics/entities/compound-splitter-round-robin-totem/compound-splitter-round-robin-totem.png",
        width = 61,
        height = 50,
		shift = {0.078125, 0.15625},
       }
	 }

  },--entry
  {
    type = "container",
    name = "compound-splitter-buffer",
    icon = "__base__/graphics/icons/steel-chest.png",
	icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "compound-splitter-buffer"},
    max_health = 200,
    corpse = "small-remnants",
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    fast_replaceable_group = "container",
    inventory_size = 48,
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      filename = "__compoundsplitters__/graphics/entities/compound-splitter-buffer/compound-splitter-buffer.png",
      priority = "extra-high",
      width = 48,
      height = 34,
      shift = {0.2, 0}
    },
    circuit_wire_connection_point =
    {
      shadow =
      {
        red = {0.734375, 0.453125},
        green = {0.609375, 0.515625},
      },
      wire =
      {
        red = {0.40625, 0.21875},
        green = {0.40625, 0.375},
      }
    },
    circuit_wire_connection_point = circuit_connector_definitions["chest"].points,
    circuit_connector_sprites = circuit_connector_definitions["chest"].sprites,
    circuit_wire_max_distance = default_circuit_wire_max_distance
  },
}
)
